<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE videocollection [
  <!ENTITY ndash "&#8211;">
  <!ENTITY mdash "&#8212;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- use the 'main' layout -->
	<xsl:include href="layouts/main.xsl"/>

	<!-- set page title -->
	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>

	<!-- the page content -->
	<xsl:template match="/page">
  
		<!--Display the description text of the current collection,
		and if some services are available then create a list
		of links for each service within a <ul id="servicelist"> element.-->

    <xsl:variable name="httpPath"> 
      <xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']" />
    </xsl:variable>


    <style>
      p.about { text-align: justify; }
      h2 { /* line-height: 135%; */ }
      h3 { margin-top: 4pt; margin-bottom: 7pt; line-height: 135%; }

        a.mashup {text-decoration: none; } 
	a.mashup:link    {color:#000080;}  /* unvisited link */
	a.mashup:visited {color:#303080;}  /* visited link */
	a.mashup:hover   {color:#000040;}  /* mouse over link */
	a.mashup:active  {color:#0000a0;}

    </style>

<!--
    <script src="{$httpPath}/script/browser-detect.js" type="text/javascript">
	/* space filler needed */
    </script>
-->

<div style="width: 800px; margin-left: auto; margin-right: auto;">


<style>
  li { padding-bottom: 10px; }
</style>



<h2>Utilizing Linked-data in a Music Digital Library: my-ipod </h2>


<p class="about">
  This collection explores the role linked data can play in a
  music digital library.  There are two key phases where
  linked data has been applied to the digital library design:
</p>

<ol>
  <li>
    <i>Build-time</i>, when the digital library collection is initially formed 
    (also when subsequently rebuilt).
  </li>

  <li>
    <i>Runtime</i>, when ...
  </li>
</ol>



<p class="about">
At ingest time, audio fingerprinting is used
  to using to allign (where possible) audio content with MusicBrainz
  IDs.  From there 

linked-data 
</p>

<p class="about">

The selected audio files are automatically converted to a format suitable for streaming
</p>

<p class="about">
  Or else access the <a href="http://localhost:3030/">Sparql Endpoint</a> to the digital library.

<ol>
  <li>The selected audio files are automatically converted to a format suitable for streaming
      over the web
  </li>

   <li>
     Metadata embedded in the files (such as ID3 tags) is automatically extracted and made
     available to form browsing structures, used in full-text indexes for searching, as well as
     being manipulated and presented to the user, where applicable.
   </li>

  <li>
    Automatically extracted metadata can be override by manually assigned.  This
    can either be done through a desktop application (the Greenstone Librarian Interface, or GLI for short) 
    a graphical user interface that controls all aspects of collection design, or directly through 
    the web browser, on a per-document basis.
  </li>
</ol>

</p>

</div>


<!--
    <script type="text/javascript" src="https://www.google.com/jsapi"><xsl:text> </xsl:text></script>
    <script type="text/javascript" id="sgvzlr_script" src="http://sgvizler.googlecode.com/svn/release/0.5/sgvizler.js"><xsl:text> </xsl:text></script>

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"><xsl:text> </xsl:text></script>
-->


    <script type="text/javascript" src="ext/jena/sgvizler/jquery-1.6.2.min.js"><xsl:text> </xsl:text></script>

    <script type="text/javascript" src="ext/jena/sgvizler/jsapi"><xsl:text> </xsl:text></script>
    <script type="text/javascript" id="sgvzlr_script" src="ext/jena/sgvizler/sgvizler.js"><xsl:text> </xsl:text></script>


    <script type="text/javascript">
      <xsl:text disable-output-escaping="yes">
      sgvizler.option.namespace.mo ='http://purl.org/ontology/mo/';
      sgvizler.option.namespace.salami = 'http://nema.lis.illinois.edu/salamiEndpoint/';

      sgvizler.option.namespace.salami = 'http://nema.lis.illinois.edu/salamiEndpoint/';
      
      sgvizler.option.namespace.dc = 'http://purl.org/dc/elements/1.1/';
      sgvizler.option.namespace.gsembedded = 'http://greenstone.org/gsembedded#'
      sgvizler.option.namespace.greenstonedata = 'http://localhost:3030/greenstone/data/'
      $(document).ready(sgvizler.go());
      </xsl:text>
    </script>


<div id="sgvzl_example1"
      data-sgvizler-endpoint="http://localhost:3030/greenstone/query"

      data-sgvizler-chart="gPieChart"
      data-sgvizler-loglevel="2"
      data-sgvizler-chart-options="title=Songs by ID3.Genre"
      style="width:900px; height:400px; margin-left: auto; margin-right: auto">
  <xsl:attribute name="data-sgvizler-query">
     SELECT (?genreTag) (COUNT(?genreTag) AS ?freqCount)
     WHERE {
       GRAPH &lt;http://localhost:3030/greenstone/data/linkeddata-my-ipod&gt;  {
         ?s &lt;http://greenstone.org/gsembedded#ID3.Genre&gt; ?genreTag .
       }
     }
     GROUP BY ?genreTag
  </xsl:attribute>
</div>








	</xsl:template>


</xsl:stylesheet>  

